package com.mcwl.memberCenter.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 积分充值记录
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mem_recharge_record")
public class RechargeRecord extends BaseEntity {

    @TableId
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 获取来源
     */
    private String getSource;

    /**
     * 订单号
     */
    private String code;

    /**
     * 充值金额
     */
    private Double amount;

    /**
     * 获取到的积分
     */
    private Double points;

    /**
     * 有效期开始时间
     */
    private Date effectStartTime;

    /**
     * 有效期结束时间
     */
    private Date effectEndTime;

}
