package com.mcwl.resource.service.impl;

import cn.hutool.json.JSONUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mcwl.common.utils.SecurityUtils;
import com.mcwl.resource.domain.ModelCommentLike;
import com.mcwl.resource.mapper.ModelCommentLikeMapper;
import com.mcwl.resource.service.ModelCommentLikeService;
import com.mcwl.resource.util.MqttTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.Map;

/**
 * 模型评论点赞
 */
@Service
public class ModelCommentLikeServiceImpl extends ServiceImpl<ModelCommentLikeMapper, ModelCommentLike> implements ModelCommentLikeService {

    @Autowired
    private MqttTemplate mqttTemplate;

    @Override
    public void like(Long commentId) {
        Map<String, Long> map = new HashMap<>();
        map.put("userId", SecurityUtils.getUserId());
        map.put("commentId", commentId);
        mqttTemplate.publish("modelCommentLike", JSONUtil.toJsonStr(map), 0);
    }


}
